# -*- coding: utf-8 -*-
# Generated by Django 1.9 on 2016-08-21 16:20
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='FoodCategory',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=250)),
            ],
        ),
        migrations.CreateModel(
            name='FoodOrder',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('user', models.CharField(max_length=100, null=True)),
                ('article', models.CharField(max_length=100, null=True)),
                ('size', models.CharField(max_length=100, null=True)),
                ('comment', models.CharField(max_length=100, null=True)),
                ('price', models.FloatField()),
                ('paid', models.BooleanField(default=False)),
            ],
        ),
        migrations.CreateModel(
            name='FoodProduct',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=250)),
                ('size', models.CharField(max_length=100, null=True)),
                ('price', models.FloatField()),
                ('food_category', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='warpfood.FoodCategory')),
            ],
        ),
        migrations.CreateModel(
            name='FoodService',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=250)),
                ('phone', models.CharField(max_length=250)),
            ],
        ),
        migrations.CreateModel(
            name='FoodSheet',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date', models.DateTimeField(default=django.utils.timezone.now)),
                ('estimated_order_time', models.DateTimeField()),
                ('closed', models.BooleanField(default=False)),
                ('order_user', models.CharField(max_length=100, null=True)),
                ('order_time', models.DateTimeField(null=True)),
                ('food_service', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='warpfood.FoodService')),
            ],
        ),
        migrations.AddField(
            model_name='foodproduct',
            name='food_service',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='warpfood.FoodService'),
        ),
        migrations.AddField(
            model_name='foodorder',
            name='sheet',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='warpfood.FoodSheet'),
        ),
    ]
